Subject: Re: [Fot] gt6 clutch

From: Joe Alexander <[email-masked]>
Date: Tue, 9 Jul 2013 12:25:25 -0500

That's it. Thanks John Hagen.

The next clutch I get will be from Trevor, for another ceramic button disc.

The price is right, too.

And the service is good.....it's a Minnesota thing.

Sent from my iPad

On Jul 9, 2013, at 11:52 AM, [email-masked] wrote:

> Friends of Triumph,  "The Clutch Doctor"  is Trevor--651-674-4175--can build
anything--but I like the ceramic button disc with 400HP spring centers--new- 3
years in oily TVR/MG--one year TR-4--John Hagen
>
>
> On Tue, Jul 9, 2013 at 9:22 AM, Joe Alexander wrote:
>
>> Once again, there is a shop in Minnesota that is doing competition grade
>> clutches that one of the Minnesota guys put us on to.
>>
>> Superior materials and oil resistance.
>>
>> I think Sean has been very happy with it and he has the address.
>>
>> Joe A
>>
>> Sent from my iPad
>>
>> On Jul 9, 2013, at 9:11 AM, Jason Ostrowski <[email-masked]>
wrote:
>>
>>> Probably a mix of asbestos and horse hair...
>>> It will be fine.
>>> Jason Ostrowski
>>> Friendly Ghost Racing
>>>
>>>
>>> On Mon, Jul 8, 2013 at 8:34 PM, Bobby Whitehead <[email-masked]>
wrote:
>>>
>>>> any reason to think the UNIPART Laycock clutch disc would not work? Very
>>>> light
>>>> tan material surface...  Bobby
>>>> _______________________________________________
>>>> [email-masked]
>>>>
>>>> http://www.fot-racing.com
>>>>
>>>> Donate: http://www.team.net/donate.html
>>>> Archive: http://www.team.net/archive
>>>> Forums: http://www.team.net/forums
>>>> Unsubscribe/Manage:
>>>> http://autox.team.net/mailman/options/fot/[email-masked]
>>> _______________________________________________
>>> [email-masked]
>>>
>>> http://www.fot-racing.com
>>>
>>> Donate: http://www.team.net/donate.html
>>> Archive: http://www.team.net/archive
>>> Forums: http://www.team.net/forums
>>> Unsubscribe/Manage:
>> http://autox.team.net/mailman/options/fot/[email-masked]
>> _______________________________________________
>> [email-masked]
>>
>> http://www.fot-racing.com
>>
>> Donate: http://www.team.net/donate.html
>> Archive: http://www.team.net/archive
>> Forums: http://www.team.net/forums
>> Unsubscribe/Manage:
http://autox.team.net/mailman/options/fot/[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive